: Class HashtableLite

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calypso.util
Class HashtableLite

    java.lang.Object
      |
      +--calypso.util.HashtableLite

public class HashtableLite
extends java.lang.Object
implements java.lang.Cloneable

A utility class to avoid the pain (and memory bloat) of making lots of small hashtables. A real HashTable isn't created until the number of elements grows past a certain number (defined internally to HashtableLite). It sure would have been nice if Hashtables were an interface.

Constructor Summary
`HashtableLite()`

Method Summary
`void` | `clear()`
`java.lang.Object` | `clone()`
`boolean` | `contains(java.lang.Object item)`
`boolean` | `containsKey(Atom key)`
`int` | `count()`
`java.util.Enumeration` | `elements()`
`java.lang.Object[]` | `elementsArray()`
`java.util.Vector` | `elementsVector()`
`java.lang.Object` | `get(Atom key)`
`boolean` | `isEmpty()`
`java.util.Enumeration` | `keys()`
`Atom[]` | `keysArray()`
`java.util.Vector` | `keysVector()`
`java.lang.Object` | `put(Atom key, java.lang.Object item)`
`java.lang.Object` | `remove(Atom key)`
`int` | `size()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HashtableLite

    public HashtableLite()

Method Detail

### clear

    public void clear()

### clone

    public java.lang.Object clone()

  Overrides:
    clone in class java.lang.Object

### contains

    public boolean contains(java.lang.Object item)

### containsKey

    public boolean containsKey(Atom key)

### count

    public int count()

### elements

    public java.util.Enumeration elements()

### elementsArray

    public java.lang.Object[] elementsArray()

### elementsVector

    public java.util.Vector elementsVector()

### get

    public java.lang.Object get(Atom key)

### isEmpty

    public boolean isEmpty()

### put

    public java.lang.Object put(Atom key,
                                java.lang.Object item)

### keys

    public java.util.Enumeration keys()

### keysArray

    public Atom[] keysArray()

### keysVector

    public java.util.Vector keysVector()

### remove

    public java.lang.Object remove(Atom key)

### size

    public int size()

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD